# aix_nfso_facts

## Table of Contents

1. [Description](#description)
1. [Setup - The basics of getting started with aix_nfso_facts](#setup)
    * [What aix_nfso_facts affects](#what-aix_nfso_facts-affects)
    * [Setup requirements](#setup-requirements)
    * [Beginning with aix_nfso_facts](#beginning-with-aix_nfso_facts)
1. [Usage - Configuration options and additional functionality](#usage)
1. [Limitations - OS compatibility, etc.](#limitations)
1. [Development - Guide for contributing to the module](#development)

## Description

The cryssoft-aix_nfso_facts module provides a custom fact that maps the output
of the 'nfso -a' command into a hash for tuning purposes.

## Setup

Put the module in place in your Puppet master server as usual.  AIX-based systems
will start populating the $::facts['aix_nfso'] hash with their next run, and you
can start referencing those facts in your classes.

### What aix_nfso_facts affects **OPTIONAL**

At this time, the cryssoft-aix_nfso_facts module ONLY supplies custom facts.  It 
does not change anything and should have no side-effects.

### Setup Requirements **OPTIONAL**

As a custom facts module, I believe pluginsync must be enabled for this to work.

### Beginning with aix_nfso_facts

If you're using Puppet Enterprise, the new fact(s) will show up in the PE console
for each AIX-based node under management.  If you're not using Puppet Enterprise,
you'll need to use a different approach to checking for their existence and values.

## Usage

As noted, cryssoft-aix_nfso_facts is only providing custom facts.  Once the module
and its Ruby payload are distributed to your AIX-based nodes, those facts will be
available in your classes.

## Reference

$::facts['aix_nfso'] is the top of a small hash.  That's it.

## Limitations

This module has been tested and worked on AIX 7.2 and 7.3 systems and VIOS 3.1 and 4.1
systems.

## Development

In the Development section, tell other users the ground rules for contributing
to your project and how they should submit their work.

## Release Notes/Contributors/Etc. **Optional**

Starting this with a new version for the first up-load.
